namespace experiment
{
    using System;
    using System.Collections;
    using System.ComponentModel;
    using System.Data;
	using System.Data.SqlClient;
    using System.Drawing;
    using System.Web;
    using System.Web.SessionState;
    using System.Web.UI;
    using System.Web.UI.WebControls;
    using System.Web.UI.HtmlControls;

    /// <summary>
    ///    Summary description for Order1.
    /// </summary>
    public class Order1 : System.Web.UI.Page
    {
		protected System.Web.UI.WebControls.Button cancel;
		protected System.Web.UI.WebControls.Button Confirm;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.ListBox ListBox1;
		protected System.Web.UI.WebControls.Label Label2;
		protected System.Web.UI.WebControls.TextBox CreditCard;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label11;
		protected System.Web.UI.WebControls.TextBox ZipCode;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator3;
		protected System.Web.UI.WebControls.Label Label10;
		protected System.Web.UI.WebControls.TextBox Country;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator5;
		protected System.Web.UI.WebControls.Label Label9;
		protected System.Web.UI.WebControls.TextBox City;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator4;
		protected System.Web.UI.WebControls.Label Label7;
		protected System.Web.UI.WebControls.TextBox AddressThree;
		protected System.Web.UI.WebControls.Label Label6;
		protected System.Web.UI.WebControls.TextBox AddressTwo;
		protected System.Web.UI.WebControls.Label Label5;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected System.Web.UI.WebControls.TextBox AddressOne;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Table WelcomeTable;
		public string s;
		protected DataRow dr1;
		protected DataRow dr2;
	
	public Order1()
	{
	    Page.Init += new System.EventHandler(Page_Init);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            DateTime dt=new DateTime();
			dt=DateTime.Now;
			ProductBusinessComponent pb=new ProductBusinessComponent();
			ShopperBusinessComponent sb=new ShopperBusinessComponent();
			s=sb.AutogenCustID();
		
			if(Request.Params["deal_id"].Length!=0)
			{
			
				if(Request.Params["deal_id"].Substring(0,2).ToString()=="DA")
				{
					DataSet d=pb.DisplayOrderDetails(Request.Params["prod_id"].ToString(),Request.Params["deal_id"].ToString());
					dr1=d.Tables["Result1"].Rows[0];
					WelcomeTable.Rows[2].Cells[0].Text=dr1[0].ToString();
					WelcomeTable.Rows[2].Cells[1].Text=dr1[1].ToString();
					WelcomeTable.Rows[3].Cells[1].Text=dr1[2].ToString();
										
					sb=new ShopperBusinessComponent();

					d=sb.retAddressInformation(Request.Params["user_id"].ToString());
					DataRow dr=d.Tables["AddressInfo"].Rows[0];
					AddressOne.Text=dr[0].ToString();
					AddressTwo.Text=dr[1].ToString();
					AddressThree.Text=dr[2].ToString();
					City.Text=dr[3].ToString();
					Country.Text=dr[4].ToString();
					ZipCode.Text=dr[5].ToString();	
				}
				else if(Request.Params["deal_id"].Substring(0,2).ToString()=="DB")
				{
					DataSet d=pb.DisplayOrderDetails(Request.Params["prod_id"].ToString(),Request.Params["deal_id"].ToString());
					dr1=d.Tables["Result1"].Rows[0];
					dr2=d.Tables["Result2"].Rows[0];
					WelcomeTable.Rows[2].Cells[0].Text=dr1[0].ToString();
					WelcomeTable.Rows[2].Cells[1].Text=dr1[1].ToString();
					WelcomeTable.Rows[2].Cells[2].Text=dr2[0].ToString();
					WelcomeTable.Rows[2].Cells[3].Text=dr2[1].ToString();
					WelcomeTable.Rows[3].Cells[1].Text=dr1[2].ToString();
					
					sb=new ShopperBusinessComponent();
					
					d=sb.retAddressInformation(Request.Params["user_id"].ToString());
					DataRow dr=d.Tables["AddressInfo"].Rows[0];
					AddressOne.Text=dr[0].ToString();
					AddressTwo.Text=dr[1].ToString();
					AddressThree.Text=dr[2].ToString();
					City.Text=dr[3].ToString();
					Country.Text=dr[4].ToString();
					ZipCode.Text=dr[5].ToString();	
				}
			}
			else
			{
				DataSet d=pb.DisplayOrderDetails(Request.Params["prod_id"].ToString(),null);
				dr1=d.Tables["Result1"].Rows[0];
				WelcomeTable.Rows[2].Cells[0].Text=dr1[0].ToString();
				WelcomeTable.Rows[2].Cells[1].Text=dr1[1].ToString();
				WelcomeTable.Rows[3].Cells[1].Text=dr1[1].ToString();
				

				sb=new ShopperBusinessComponent();
				
				d=sb.retAddressInformation(Request.Params["user_id"].ToString());
				DataRow dr=d.Tables["AddressInfo"].Rows[0];
				AddressOne.Text=dr[0].ToString();
				AddressTwo.Text=dr[1].ToString();
				AddressThree.Text=dr[2].ToString();
				City.Text=dr[3].ToString();
				Country.Text=dr[4].ToString();
				ZipCode.Text=dr[5].ToString();	
			}
			
 

			if (!IsPostBack)
            {
                //
                // Evals true first time browser hits the page
                //
            }
        }

        protected void Page_Init(object sender, EventArgs e)
        {
            //
            // CODEGEN: This call is required by the ASP+ Windows Form Designer.
            //
            InitializeComponent();
        }

        /// <summary>
        ///    Required method for Designer support - do not modify
        ///    the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
		{
			this.Confirm.Click += new System.EventHandler(this.Confirm_Click);
			this.cancel.Click += new System.EventHandler(this.cancel_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}

		public void cancel_Click (object sender, System.EventArgs e)
		{
			Response.Redirect("Home_page.aspx");
		}

		public void Confirm_Click (object sender, System.EventArgs e)
		{
			if(!(CreditCard.Text.ToString().Length==16))
			
			{
				Response.Write("<b>Enter valid Credit Card Number</b>");
				return;
			}
			
			
			OrderBusinessComponent ob=new OrderBusinessComponent();
			
			string deal=null;
			if(Request.Params["deal_id"].Length!=0)
			{
				deal=Request.Params["deal_id"].ToString();
			}
			else
			{
				deal=null;
			}

			ob.InsertOrderTable(s.Trim(),Request.Params["user_id"].ToString(),Request.Params["prod_id"].ToString(), deal , AddressOne.Text.ToString().Trim(),AddressTwo.Text.ToString().Trim(), AddressThree.Text.ToString().Trim(), City.Text.ToString().Trim(), Country.Text.ToString().Trim(), ZipCode.Text.ToString().Trim(), 1, "Pending");
			PaymentBusinessComponent pb=new PaymentBusinessComponent();
			pb.InsertPaymentDetails(s.Trim(),CreditCard.Text.ToString(),Int32.Parse(dr1[1].ToString()),ListBox1.SelectedItem.ToString(),"Pending"); 
			ProductBusinessComponent prod=new ProductBusinessComponent();
			prod.UpdateQoh(Request.Params["prod_id"].ToString(),1);
			Response.Redirect("Success.aspx");
		}

    }
}
