namespace experiment
{
    using System;
    using System.Collections;
    using System.ComponentModel;
    using System.Data;
    using System.Drawing;
    using System.Web;
    using System.Web.SessionState;
    using System.Web.UI;
    using System.Web.UI.WebControls;
    using System.Web.UI.HtmlControls;
	using System.Data.SqlClient;

    /// <summary>
    ///    Summary description for WebForm1.
    /// </summary>
    public class WebForm1 : System.Web.UI.Page
    {
		protected System.Web.UI.WebControls.Label Label1;
		//protected System.Web.UI.WebControls.DataGrid Deal_display;
		protected System.Web.UI.WebControls.LinkButton Disc_Deal;
		protected System.Web.UI.WebControls.LinkButton Barg_offer;
		protected System.Web.UI.WebControls.LinkButton All_deals;
		protected System.Data.SqlClient.SqlConnection sqlcon;
		protected System.Data.SqlClient.SqlDataAdapter scmd;
		protected System.Data.SqlClient.SqlCommand scmdonly;
		protected System.Data.DataSet sqlDS;
		protected System.Data.DataTable viewdt;
		protected System.Data.DataRow viewrow;
		protected System.Data.DataView dv;
		protected string Sel_Prod;

		protected int row_count;
		protected string Prod_title;
		protected DateTime valid_date;
		protected int Value;
		protected string prod2_title;
		protected string description;
		protected string dealID;
		protected string prodID;
		protected int orgprice;
		protected System.Web.UI.WebControls.DataGrid Deal_display;
		protected int add_price;

	
	public WebForm1()
	{
	    Page.Init += new System.EventHandler(Page_Init);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                //
                // Evals true first time browser hits the page
                //
            }
        }

        protected void Page_Init(object sender, EventArgs e)
        {
            //
            // CODEGEN: This call is required by the ASP+ Windows Form Designer.
            //
            InitializeComponent();
        }

        /// <summary>
        ///    Required method for Designer support - do not modify
        ///    the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
		{
			this.All_deals.Click += new System.EventHandler(this.All_deals_Click);
			this.Barg_offer.Click += new System.EventHandler(this.barg_deal);
			this.Disc_Deal.Click += new System.EventHandler(this.disc_deal);

		}

		
		protected void fillds()
		{

			//string conn = @"server=books-client;uid=sa;pwd=;database=GreenStock";
			sqlcon = new SqlConnection(Global.server_path);
			DateTime dt = new DateTime();
			dt=DateTime.Today;
			//scmd = new SqlDataAdapter ("Select Prod_Name, Company, Price from Product_tab", sqlcon);
			scmd = new SqlDataAdapter ("Select * from Deals_tab where Validity >'"+dt.ToShortDateString()+"'", sqlcon);

			try
			{

				if (sqlcon.State.ToString()=="Open")
				{
					sqlcon.Close();
				}
				sqlcon.Open();
			}
			catch
			{
				Response.Write("failed");
			}
			sqlDS = new DataSet();
			scmd.Fill(sqlDS, "Deals_tab");
			scmd=new SqlDataAdapter("Select * from Product_tab",sqlcon);
			scmd.Fill(sqlDS, "Product_tab");
			
			sqlDS.Relations.Add("Prod_Relation", sqlDS.Tables["Product_tab"].Columns["Prod_ID"], sqlDS.Tables["Deals_tab"].Columns["Prod_ID"]);
			
			row_count=sqlDS.Tables[0].Rows.Count;
			


		}

		protected void fill_screen(string pos)
		{
			if(pos!="last")
			{
				int i=Int16.Parse(pos);
			}

			if(pos=="1")
			{							
				viewdt = new DataTable();
				viewdt.Columns.Add("Deal_id", typeof(string));
				viewdt.Columns.Add("Prod_id", typeof(string));				
				viewdt.Columns.Add("Prod_Name", typeof(string));
				viewdt.Columns.Add("Deal_Desc", typeof(string));
				viewdt.Columns.Add("New_Price", typeof(int));
				viewdt.Columns.Add("Old_Price", typeof(int));
				viewdt.Columns.Add("Validity", typeof(DateTime));
				viewdt.Columns.Add("Prod2_Name", typeof(string));
				viewdt.Columns.Add("Old_Price2", typeof(int));

				/*
				 ///An alternative method wherein the table is created dynamicaly by passing html tags within response.Write statements.
				Response.Write("<div style='position: absolute; top: 630; left: 15; width: 672; height: 54'>");
				Response.Write("<Table height='97' cellspacing='1' cellpadding='2' width='700' border='3' BorderWidth='3px' GridLines='Both' BorderStyle='Groove' ms_2d_layout='TRUE' align='center'>");
				Response.Write("<tr><td><b>Product Title</b></td>");
				Response.Write("<td><b>Description</b></td>");
				Response.Write("<td><b>Valid Date</b></td>");
				Response.Write("<td><b>The Deal Price</b></td>");
				Response.Write("<td><b>The Original Price</b></td>");
				Response.Write("<td><b>Add-On Product</b></td>");
				Response.Write("<td><b>Price of the Add-On Product</b></td>");
				Response.Write("<td><b>Select the Product You want to BUY</b></td></tr>");*/

			}
			else if(pos=="last")
			{
				/*
				 ///A Part of the alternative method of dynamic table creation. 
				 Response.Write("</Table>");
				Response.Write("</div>");*/
				return;
			}						
			
			viewrow=viewdt.NewRow();
			viewrow["Deal_id"]=dealID;
			viewrow["Prod_id"]=prodID;			
			viewrow["Prod_Name"]=Prod_title;
			viewrow["Deal_Desc"]=description;
			viewrow["New_Price"]=Value;
			viewrow["Old_Price"]=orgprice;
			viewrow["Validity"]=valid_date.ToString();
			viewrow["Prod2_Name"]=prod2_title;
			viewrow["Old_Price2"]=add_price;

			viewdt.Rows.Add(viewrow);
				
				/*
				 ///The addition of rows to teh dynamically created rows. 
				 Response.Write("<tr><td>"+Prod_title+"</td>");
				Response.Write("<td>"+description+"</td>");
				Response.Write("<td>"+valid_date.ToShortDateString()+"</td>");
				Response.Write("<td>"+Value+"</td>");
				Response.Write("<td>"+orgprice+"</td>");
				Response.Write("<td>"+prod2_title+"</td>");
				Response.Write("<td>"+add_price+"</td>");
				Response.Write("<td><a href='Order1.aspx?prodid="+prodID+" & dealid="+dealID+"'>Click Here to BUY</a></td></tr>");*/
			
		}

		
		public void All_deals_Click(object sender, System.EventArgs e)
		{
					
			fillds();
			
			int i= 1;
			DataRow dr_arr;

			foreach(DataRow dr in sqlDS.Tables[0].Rows)
			{
				description = dr["Deal_Desc"].ToString();
				valid_date = new DateTime();
				valid_date = DateTime.Parse((dr["Validity"]).ToString());//check this statement.
				Value = Int16.Parse(dr["New_Price"].ToString());
				dr_arr=dr.GetParentRow("Prod_Relation");
				Prod_title=dr_arr["Prod_Name"].ToString();
				orgprice=Int16.Parse(dr_arr["Price"].ToString());
				dealID=dr["Deal_ID"].ToString();
				prodID=dr["Prod_ID"].ToString();
				//Check the above line of the code...
				if(dr["Prod2_ID"].ToString()!=null)
				{
					foreach(DataRow dr2 in sqlDS.Tables[1].Rows)
					{
						if(dr["Prod2_ID"].ToString()==dr2[0].ToString())
						{
							prod2_title=dr2[1].ToString();
							add_price=Int16.Parse(dr2["Price"].ToString());
						}
					}
					
				}
				else
				{
					prod2_title = null;
				}
				fill_screen(i.ToString());
				i++;
			}
			
			Prod_title=null;
			prod2_title=null;
			description=null;
			dealID=null;
			//fill_screen("last");
			dv = new DataView(viewdt);
			Deal_display.DataSource=dv;
			Deal_display.DataBind();
						
		}
	
		
		protected void DealMonth_Click(object sender, System.EventArgs e)
		{
			
			fillds();
			Random r = new Random();
			int trial= r.Next(row_count);
			DataRow dr = sqlDS.Tables[0].Rows[trial];
			description = dr["Deal_Desc"].ToString();
			valid_date = new DateTime();
			valid_date = DateTime.Parse((dr["Validity"]).ToString());//check this statement.
			Value = Int16.Parse(dr["New_Price"].ToString());
			DataRow dr_arr=dr.GetParentRow("Prod_Relation");
			Prod_title=dr_arr["Prod_Name"].ToString();
			orgprice=Int16.Parse(dr_arr["Price"].ToString());
			dealID=dr["Deal_ID"].ToString();
			prodID=dr["Prod_ID"].ToString();
			if(dr["Prod2_ID"].ToString()!=null)
			{
				foreach(DataRow dr2 in sqlDS.Tables[1].Rows)
				{
					if(dr["Prod2_ID"].ToString()==dr2[0].ToString())
					{
						prod2_title=dr2[1].ToString();
						add_price=Int16.Parse(dr2["Price"].ToString());
					}
				}
				
			}
			else
			{
				prod2_title = null;
			}
			fill_screen("1");
			dv = new DataView(viewdt);
			Deal_display.DataSource=dv;
			Deal_display.DataBind();

		}


		
		public void barg_deal(Object obj, System.EventArgs earg)
		{
						
			fillds();
			
			int i= 1;
			DataRow dr_arr;

			foreach(DataRow dr in sqlDS.Tables[0].Rows)
			{
				if((dr["Deal_ID"].ToString().Substring(0,2))=="DB")
				{				
					description = dr["Deal_Desc"].ToString();
					valid_date = new DateTime();
					valid_date = DateTime.Parse((dr["Validity"]).ToString());//check this statement.
					Value = Int16.Parse(dr["New_Price"].ToString());
					dr_arr=dr.GetParentRow("Prod_Relation");
					Prod_title=dr_arr["Prod_Name"].ToString();
					orgprice=Int16.Parse(dr_arr["Price"].ToString());
					dealID=dr["Deal_ID"].ToString();
					prodID=dr["Prod_ID"].ToString();
			
					if(dr["Prod2_ID"].ToString()!=null)
					{
						foreach(DataRow dr2 in sqlDS.Tables[1].Rows)
						{
							if(dr["Prod2_ID"].ToString()==dr2[0].ToString())
							{
								prod2_title=dr2[1].ToString();
								add_price=Int16.Parse(dr2["Price"].ToString());
							}
						}
						
					}
					else
					{
						prod2_title = null;
					}
					fill_screen(i.ToString());
					i++;
								
					Prod_title=null;
					prod2_title=null;
					description=null;
					dealID=null;
					
				}
							
			}
			fill_screen("last");
			dv = new DataView(viewdt);
			Deal_display.DataSource=dv;
			Deal_display.DataBind();
				

		}

		public void disc_deal(Object obj, System.EventArgs earg)
		{
			fillds();
			
			int i= 1;
			DataRow dr_arr;

			foreach(DataRow dr in sqlDS.Tables[0].Rows)
			{
				if((dr["Deal_ID"].ToString().Substring(0,2))=="DA")
				{				
					description = dr["Deal_Desc"].ToString();
					valid_date = new DateTime();
					valid_date = DateTime.Parse((dr["Validity"]).ToString());//check this statement.
					Value = Int16.Parse(dr["New_Price"].ToString());
					dr_arr=dr.GetParentRow("Prod_Relation");
					Prod_title=dr_arr["Prod_Name"].ToString();
					orgprice=Int16.Parse(dr_arr["Price"].ToString());
					dealID=dr["Deal_ID"].ToString();
					prodID=dr["Prod_ID"].ToString();
			
					if(dr["Prod2_ID"].ToString()!=null)
					{
						foreach(DataRow dr2 in sqlDS.Tables[1].Rows)
						{
							if(dr["Prod2_ID"].ToString()==dr2[0].ToString())
							{
								prod2_title=dr2[1].ToString();
								add_price=Int16.Parse(dr2["Price"].ToString());
							}
						}
						
					}
					else
					{
						prod2_title = null;
					}
					fill_screen(i.ToString());
					i++;
								
					Prod_title=null;
					prod2_title=null;
					description=null;
					dealID=null;
					
				}
							
			}

			fill_screen("last");
			dv = new DataView(viewdt);
			Deal_display.DataSource=dv;
			Deal_display.DataBind();
				
        }

		public void deal_buy(Object obj, DataGridCommandEventArgs darg)
		{
			if(darg.CommandName=="Deal_selected")
			{
				
				string url="Order1.aspx?prod_id="+darg.Item.Cells[1].Text.ToString().Trim()+"&deal_id="+darg.Item.Cells[0].Text.ToString();
				Response.Redirect(url);

			}
		}

    }
}
