namespace experiment
{
    using System;
	using System.Data;
	using System.Data.SqlClient;

    /// <summary>
    ///    Summary description for OrderBusinessComponent.
    /// </summary>
    public class OrderBusinessComponent
    {
		public string user_id;
		public string password;
		public SqlConnection con;
		public SqlDataAdapter dsc;
		public DataSet ds;
		
        public OrderBusinessComponent()
        {
            con=new SqlConnection(Global.server_path);
			con.Open();
			dsc=new SqlDataAdapter("select * from sales_tab",con);
			ds=new DataSet();
			//
            // TODO: Add Constructor Logic here
            //
        }

		public bool InsertOrderTable(string sales_id, string cust_id, string prod_id, string deal_id, string add_1, string add_2, string add_3, string city, string country, string zipcode, int units, string status)
		{
			DateTime dt=new DateTime();
			dt=DateTime.Now;
			dsc.Fill(ds,"sales_tab");
			DataRow dr=ds.Tables[0].NewRow();
			dr[0]=sales_id.Trim();
			dr[1]=cust_id;
			dr[2]=prod_id;
			if(deal_id!=null)
			{
				dr[3]=deal_id;
			}
			else
			{
				dr[3]=null;
			}
			
			//deal id
			dr[4]=add_1;
			dr[5]=add_2;
			dr[6]=add_3;
			dr[7]=city;
			dr[8]=country;
			dr[9]=zipcode;
			dr[10]=units;
			dr[12]=dt.Date; //.ToShortDateString();
			dr[12]=status;
			
			ds.Tables["sales_tab"].Rows.Add(dr);
			SqlCommandBuilder autogen = new SqlCommandBuilder(dsc);
			dsc.Update(ds,"sales_tab");
			return true;

		}

    }
}
