namespace experiment
{
    using System;
    using System.Collections;
    using System.ComponentModel;
    using System.Data;
    using System.Drawing;
    using System.Web;
    using System.Web.SessionState;
    using System.Web.UI;
    using System.Web.UI.WebControls;
    using System.Web.UI.HtmlControls;
	using System.Data.SqlClient;

    /// <summary>
    ///    Summary description for Product_view.
    /// </summary>
    public class Product_view : System.Web.UI.Page
    {
		protected System.Web.UI.WebControls.Button Button4;
		protected System.Web.UI.WebControls.TextBox TextBox2;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label resultnull;
		protected System.Web.UI.WebControls.DataGrid Product1;
		protected System.Web.UI.WebControls.LinkButton LBOth;
		protected System.Web.UI.WebControls.LinkButton LBUtil;
		protected System.Web.UI.WebControls.LinkButton LBGr;
		protected System.Web.UI.WebControls.LinkButton LBMic;
		protected System.Web.UI.WebControls.LinkButton LBNet;
		protected System.Web.UI.WebControls.LinkButton Linkbutton2;
		protected System.Web.UI.WebControls.LinkButton LBApp;
		protected System.Web.UI.WebControls.LinkButton LBPrice;
		protected System.Web.UI.WebControls.LinkButton LBNovell;
		protected System.Web.UI.WebControls.LinkButton LBGam;
		protected System.Web.UI.WebControls.LinkButton LBAZ;
		protected System.Web.UI.WebControls.LinkButton LBAdobe;
		protected System.Web.UI.WebControls.LinkButton LNCat;
		protected System.Web.UI.WebControls.LinkButton Linkbutton1;
		protected System.Web.UI.WebControls.LinkButton LBCompany;
		protected System.Web.UI.HtmlControls.HtmlForm Form2;
		protected System.Data.SqlClient.SqlConnection sqlcon;
		protected System.Data.SqlClient.SqlDataAdapter scmd;
		protected System.Data.SqlClient.SqlCommand scmdonly;
		protected System.Data.DataSet sqlDS;
		public string Sel_Prod;
	
	
	public Product_view()
	{
	    Page.Init += new System.EventHandler(Page_Init);
    }
    
		protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                //
                // Evals true first time browser hits the page
                // Calling the function fillds() which establishes a connection with the database and creates a DataSet variable and fills it with information from the Products table.
                //
				fillds();				

            }
        }

        protected void Page_Init(object sender, EventArgs e)
        {
            //
            // CODEGEN: This call is required by the ASP+ Windows Form Designer.
            //
            InitializeComponent();
        }

        /// <summary>
        ///    Required method for Designer support - do not modify
        ///    the contents of this method with the code editor.
        /// </summary>
		private void InitializeComponent()
		{
			this.LBCompany.Click += new System.EventHandler(this.LBCompany_Click);
			this.LNCat.Click += new System.EventHandler(this.LNCat_Click);
			this.LBAdobe.Click += new System.EventHandler(this.LBAdobe_Click);
			this.LBAZ.Click += new System.EventHandler(this.LBAZ_Click);
			this.LBGam.Click += new System.EventHandler(this.LBGam_Click);
			this.LBNovell.Click += new System.EventHandler(this.LBNovell_Click);
			this.LBPrice.Click += new System.EventHandler(this.LBPrice_Click);
			this.LBApp.Click += new System.EventHandler(this.LBApp_Click);
			this.Linkbutton2.Click += new System.EventHandler(this.Linkbutton2_Click);
			this.LBNet.Click += new System.EventHandler(this.LBNet_Click);
			this.LBMic.Click += new System.EventHandler(this.LBMic_Click);
			this.LBGr.Click += new System.EventHandler(this.LBGr_Click);
			this.LBUtil.Click += new System.EventHandler(this.LBUtil_Click);
			this.LBOth.Click += new System.EventHandler(this.LBOth_Click);
			this.Product1.ItemCommand += new System.Web.UI.WebControls.DataGridCommandEventHandler(this.Prod_buy);
			this.Button4.Click += new System.EventHandler(this.Button4_Click);

		}

		
		
		public void Button4_Click (object sender, System.EventArgs e)
		{
	        string word;
			word=TextBox2.Text.ToString();
			Search1 try_1= new Search1();
			string cat=try_1.getresult(word);
			
			fillds();
            DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter=cat;
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv; 			
			Product1.DataBind();
			if(Product1.Items.Count==0)
			{
				Product1.Visible=false;
				resultnull.Visible=true;
				resultnull.Text=" Sorry. 0 results found.";
			}
			else
			{
				resultnull.Visible=false;
			}
			
		}

		public void Linkbutton2_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Company like 'Macromedia'";
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv; 			
			Product1.DataBind();
			

		}

		public void LBOth_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Cat_ID like 'CA007'";			
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv; 			
			Product1.DataBind();			
			
			
		}

		public void LBUtil_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Cat_ID like 'CA004'";
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			
			Product1.DataSource=dv; 			
			Product1.DataBind();			
			
			
		}

		public void LBNet_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Cat_ID like 'CA001' or Cat_ID like 'CA002'";
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv; 
			Product1.DataBind();			
			
			
		}

		public void LBGr_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Cat_ID like 'CA003'";	
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv;
			Product1.DataBind();
			
			
		}

		public void LBGam_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Cat_ID like 'CA006'";		
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv; 
			Product1.DataBind();
			
			
		}

		public void LBApp_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Cat_ID like 'CA005'";		
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv;
			Product1.DataBind();
			
			
		}

		public void LNCat_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Cat_ID";	
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv;
			Product1.DataBind();
			
			
		}

		public void LBPrice_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Price";		
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv;
			Product1.DataBind();
			
			
		}

		public void LBAZ_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";		
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv; 
			Product1.DataBind();
			
			
		}

		public void LBMic_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Company like 'Microsoft'";		
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv;
			Product1.DataBind();
			
			
		}

		public void LBMac_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Company like 'Macromedia'";		
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv; 
			Product1.DataBind();
			
			
		}

		public void LBNovell_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Company like 'Novell'";
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv; 
			Product1.DataBind();
			
			
		}

		public void LBAdobe_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Prod_Name";
			dv.RowFilter="Company like 'Adobe'";		
			if(Product1.Visible==false)
			{
				Product1.Visible=true;
			}
			Product1.DataSource=dv;
			Product1.DataBind();
			
			
		}

		public void LBCompany_Click (object sender, System.EventArgs e)
		{
            fillds();
			DataView dv = new DataView(sqlDS.Tables[0]);
			dv.Sort="Company";
			Product1.Visible=true;
			Product1.DataSource=dv;
			Product1.DataBind();
			
			
		}

		public void LinkButton6_Click (object sender, System.EventArgs e)
		{

		}

		public void Prod_buy(Object obj, DataGridCommandEventArgs DGargs)
		{
			if(DGargs.CommandName=="Prod_selected")
			{
				Sel_Prod = DGargs.Item.Cells[0].Text;
				Response.Redirect("Product_details.aspx?product_name="+Sel_Prod); 
			}
			
		}
		
		private void fillds()
		{
		    //string conn = @"server=books-client;uid=sa;pwd=;database=GreenStock";
			sqlcon = new SqlConnection(Global.server_path);
			scmd = new SqlDataAdapter ("Select * from Product_tab", sqlcon);
			if (sqlcon.State.ToString()=="Open")
			{
				sqlcon.Close();
			}
			sqlcon.Open();
			sqlDS = new DataSet();
			scmd.Fill(sqlDS, "Product_tab");
			Product1.DataSource= sqlDS.Tables[0].DefaultView;
			Product1.DataBind();
			Product1.Visible=false;

		}


    }
}
